# Generated by Django 2.2.1 on 2021-08-20 06:16

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('plans', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('att_subscriptions', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Subscription',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type_of_subscription', models.CharField(choices=[('att', 'Att'), ('sprint', 'Sprint')], max_length=10)),
                ('status', models.CharField(choices=[('new', 'New'), ('active', 'Active'), ('suspended', 'Suspended'), ('expired', 'Expired')], default='new', max_length=10)),
                ('device_id', models.CharField(blank=True, default='', max_length=20)),
                ('phone_number', models.CharField(blank=True, default='', max_length=20)),
                ('phone_model', models.CharField(blank=True, default='', max_length=128)),
                ('network_type', models.CharField(blank=True, default='', max_length=5)),
                ('sprint_id', models.CharField(max_length=16, null=True)),
                ('effective_date', models.DateTimeField(null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted', models.BooleanField(default=False)),
                ('plan', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='plans.Plan')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
